org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPASTInitializerClause

All Superinterfaces:
  IASTInitializerClause, IASTNode

All Known Subinterfaces:
  ICPPASTArraySubscriptExpression, ICPPASTBinaryExpression, ICPPASTCastExpression, ICPPASTDeleteExpression, ICPPASTDesignatedInitializer, ICPPASTExpression, ICPPASTExpressionList, ICPPASTFieldReference, ICPPASTFunctionCallExpression, ICPPASTInitializerList, ICPPASTLambdaExpression, ICPPASTLiteralExpression, ICPPASTNaryTypeIdExpression, ICPPASTNewExpression, ICPPASTPackExpansionExpression, ICPPASTSimpleTypeConstructorExpression, ICPPASTTypeIdExpression, ICPPASTTypenameExpression, ICPPASTUnaryExpression, IGPPASTBinaryExpression

    public interface ICPPASTInitializerClause
    extends IASTInitializerClause

C++ specific initializer clause.

Since:
  5.5
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPEvaluation` `getEvaluation()` Returns the evaluation object for this expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTInitializerClause

`copy, copy`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### getEvaluation

    org.eclipse.cdt.internal.core.dom.parser.cpp.ICPPEvaluation getEvaluation()

Returns the evaluation object for this expression.

Restriction:
  This method is not intended to be referenced by clients.